Next Generation Emulation banner

1 - 5 of 5 Posts

·
Registered
Joined
·
774 Posts
Discussion Starter · #1 ·
I've changed my distro from mandriva to fedora. Its nice to see fedora starts faster than mandriva instead.
Anyway i had some problem where Fedora cant play any mp3 file. I've search over the internet then there some pages said that fedora not include mp3 codecs so it cant play any mp3 file.
Is there any method to do to make fedora can play mp3?
 

·
Registered
Joined
·
774 Posts
Discussion Starter · #3 ·
I've installed yum and followed instruction on that pages. This what i got when i type
yum install kdemultimedia-extras on console:
Traceback (most recent call last):
File "/usr/bin/yum", line 14, in ?
import yummain
File "/usr/share/yum-cli/yummain.py", line 25, in ?
import cli
File "/usr/share/yum-cli/cli.py", line 30, in ?
import shell
File "/usr/share/yum-cli/shell.py", line 22, in ?
from yum.constants import *
ImportError: No module named constants
[[email protected] oryxz]#
 

·
Knowledge is the solution
Joined
·
7,168 Posts
orysyz said:
I've installed yum and followed instruction on that pages. This what i got when i type
yum install kdemultimedia-extras on console:

You might only want to download the package you want instead of the whole suite for kde (which will be vastly useless since you are most probably running gnome :p) with

yum update
yum install xmms-mp3 (or whatever the filename is)

Another thing you might want to try is getting the rpm, just google for
rpm, mp3 and xmms. Download the corresponding rpm and install it from console with

rpm -i xmms-mp3xxx-xxx.rpm

change the filename for the corresponding one
 

·
Registered
Joined
·
774 Posts
Discussion Starter · #5 ·
Im using KDE so that why im looking for kdemultimedia-extras rpm. I've found it on one site but it got unlocatable file. Have anyone got that packages post it here it would help.
One more thing, im installing apollon and other apps on Fedora and i got this in console:
checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!
 
1 - 5 of 5 Posts
Top